-----------------------------------------------------------------------------------------------
-- Client Lua Script for SlimComm
-- Copyright (c) NCsoft. All rights reserved
-----------------------------------------------------------------------------------------------
 
require "Apollo"
require "GameLib"
require "Window"
require "Unit"

-------------------------------------------------------------------------------------
-- SlimComm Module Definition
-----------------------------------------------------------------------------------------------
local SlimComm = {} 
local run = true

-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function SlimComm:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function SlimComm:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {"CommDisplay"}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 
-----------------------------------------------------------------------------------------------
-- SlimComm OnLoad
-----------------------------------------------------------------------------------------------
function SlimComm:OnLoad()
	self:InitializeHooks()	
end

function SlimComm:InitializeHooks()
	local crb = Apollo.GetAddon("CommDisplay")
	crb.OnShowCommDisplay = self.OnShowCommDisplay
end


function SlimComm:OnShowCommDisplay()
	self.wndMain:Show(true)
	self.wndMain:SetSprite("") -- That's it
	self.wndCommPortraitLeft:Show(true)
	self.wndCommPortraitRight:Show(true)
end


-----------------------------------------------------------------------------------------------
-- SlimComm Instance
-----------------------------------------------------------------------------------------------
local SlimCommInst = SlimComm:new()
SlimCommInst:Init()
